org.apache.uima.resource.metadata

## Interface MimeTypePrecondition

- All Superinterfaces:
    Cloneable, MetaDataObject, Precondition, Serializable, SimplePrecondition, XMLizable
  All Known Implementing Classes:
    MimeTypePrecondition_impl

      public interface MimeTypePrecondition
      extends SimplePrecondition

  A precondition on the MIME Type of the entity. This interface is a kind of `SimplePrecondition` to be used as a convenience.

- - ### Field Summary

    - ### Fields inherited from interface org.apache.uima.resource.metadata.SimplePrecondition

      `ELEMENT_OF, EQUAL, LANGUAGE_SUBSUMED, PRECONDITION_TYPE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String[]` | `getMimeTypes()` Gets the MIME types that satisfy this precondition.
    `void` | `setMimeTypes(String[] aMimeTypes)` Sets the MIME types that satisfy this precondition.

    - ### Methods inherited from interface org.apache.uima.resource.metadata.SimplePrecondition

      `getComparisonValue, getDefault, getFeatureName, getFsIndexName, getFsMatchConstraint, getPreconditionType, getPredicate, setComparisonValue, setDefault, setFeatureName, setFsIndexName, setFsMatchConstraint, setPredicate`

    - ### Methods inherited from interface org.apache.uima.resource.metadata.Precondition

      `evaluate`

    - ### Methods inherited from interface org.apache.uima.resource.metadata.MetaDataObject

      `clone, equals, getAttributeValue, getSourceUrl, getSourceUrlString, isModifiable, listAttributes, setAttributeValue, setSourceUrl`

    - ### Methods inherited from interface org.apache.uima.util.XMLizable

      `buildFromXMLElement, buildFromXMLElement, toXML, toXML, toXML, toXML`

- - ### Method Detail

    - #### getMimeTypes

          String[] getMimeTypes()

      Gets the MIME types that satisfy this precondition.

      Note that if the document's MIME Type is unknown, the value of the `default` property determines whether this precondition is satisfied.

      Returns:
        the MIME Types that satisfy this precondition

    - #### setMimeTypes

          void setMimeTypes(String[] aMimeTypes)

      Sets the MIME types that satisfy this precondition.

      Note that if the document's MIME Type is unknown, the value of the `default` property determines whether this precondition is satisfied.

      Parameters:
        `aMimeTypes` - the MIME Types that satisfy this precondition
      Throws:
        `UIMA_UnsupportedOperationException` - if this `MetaDataObject` is not modifiable.

Copyright © 2006–2022 The Apache Software Foundation. All rights reserved.